# ApiHdfsFailoverArguments Data Model

Arguments used when enabling HDFS automatic failover.

Properties
name | data type | description
--- | --- | ---
nameservice | string | Nameservice for which to enable automatic failover.
zooKeeperService | ApiServiceRef | The ZooKeeper service to use.
activeFCName | string | Name of the failover controller to create for the active NameNode.
standByFCName | string | Name of the failover controller to create for the stand-by NameNode.

Example

    {
      "nameservice" : "...",
      "zooKeeperService" : {
        "peerName" : "...",
        "clusterName" : "...",
        "clusterDisplayName" : "...",
        "serviceName" : "...",
        "serviceDisplayName" : "...",
        "serviceType" : "..."
      },
      "activeFCName" : "...",
      "standByFCName" : "..."
    }